import Component from '../../component.js'
import { elementAttributeContains } from '../../../core/utils.js'

export default class CoEuiBlockDocument extends Component {

    constructor(parent) {
      let selector = 'eui-block-document';
      super(parent, selector);
      // https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/components/eui-block-document/eui-block-document.component.html
    }
    get loader() {
      let path = '//div[contains(@class,"eui-block-document__loader")]';
      return this.currentPath + path;
    }
    async isBlocked() {
      return await elementAttributeContains(this.currentPath, 'class', 'eui-block-document--blocked');
    }
}


